Skip to main content
GET
Get Session

Authorizations

X-Browser-Use-API-Key
string
header
required

Path Parameters

session_id
string<uuid>
required

Response

Successful Response

View model for representing a (browser) session with its associated tasks.

id
string<uuid>
required

Unique identifier for the session

status
enum<string>
required

Current status of the session (active/stopped)

Available options:
active,
stopped
startedAt
string<date-time>
required

Timestamp when the session was created and started

tasks
TaskItemView · object[]
required

List of tasks associated with this session

liveUrl
string | null

URL where the browser can be viewed live in real-time

recordingUrl
string | null

Presigned URL to download the session recording (available after session ends, if recording was enabled)

finishedAt
string<date-time> | null

Timestamp when the session was stopped (None if still active)

publicShareUrl
string | null

Optional URL to access the public share of the session

persistMemory
boolean
default:true

Whether tasks in this session share memory and history with each other

keepAlive
boolean
default:true

Whether the browser session stays alive after tasks complete

proxyUsedMb
string
default:0

Amount of proxy data used in MB

Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
proxyCost
string
default:0

Cost of proxy usage in USD

Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$